---
updatedAt: 2025-06-11T20:44:10.000Z
agentTools:
  projectIndex: https://docs.acefone.co.uk/llms.txt
---

# Fetch Details of an Auto Attendant

This API allows you to fetch details of Auto Attendant.

### Sample Request

```java
curl --request GET \
     --url https://api-account-uk.acefone.com/v1/auto_attendant/id \
     --header 'accept: application/json'
```

📘 Important!

> Before we begin, note that the \* sign denotes the mandatory variables in each table.

### Request Variables (Path Params)

The following parameter is required to fetch details of auto attendant:

| **Variable Name** | **Description**           | **Data Type** |
| ----------------- | ------------------------- | ------------- |
| id                | Id of the Auto-Attendant. | String        |

### Sample Response

```java
{
  "id": "8922",
  "name": "Test",
  "description": "Test AA",
  "recording": {
    "id": "19549",
    "type": "recording"
  },
  "destination": {
    "id": "050109590001",
    "type": "agent",
    "name": "Shrish Gulati"
  },
  "created_at": "2020-07-22 13:44:04",
  "updated_at": null
}
```

### Response Variables

The response returned is as following:

| **Variable Name**                       | **Description**                                        | **Data Type**                           |
| --------------------------------------- | ------------------------------------------------------ | --------------------------------------- |
| id                                      | Unique ID of the Auto Attendant.                       | String                                  |
| name                                    | Name of the Auto Attendant                             | String                                  |
| description                             | Description of Auto Attendant.                         | String                                  |
| [recording.id](http://recording.id)     | Unique ID of Recording.                                | String                                  |
| recording.type                          | Type of Recording.                                     | String                                  |
| [destination.id](http://destination.id) | Unique ID of Destination.                              | String                                  |
| destination.type                        | Type of destination. for example: hangup, ivr, etc.    | String                                  |
| destination.name                        | Name of the destination.                               | String                                  |
| created\_at                             | Time stamp of the Auto Attendant, when it was created. | String (timestamp: yyyy-mm-dd hh:mm:ss) |
| updated\_at                             | Time stamp of the Auto Attendant, when it was updated. | String (timestamp: yyyy-mm-dd hh:mm:ss) |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "acefone-uk-base-api-config",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api-account-uk.acefone.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/v1/auto_attendant/{id}": {
      "get": {
        "summary": "Fetch Details of an Auto Attendant",
        "description": "This API allows you to fetch details of Auto Attendant.",
        "operationId": "fetch-details-of-an-auto-attendant",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```